#ifndef __NLLIBC_H_INCLUDED__
#define __NLLIBC_H_INCLUDED__

#if defined(__FreeBSD__) || defined(__OpenBSD__) || defined(__NetBSD__) || defined(__DragonFly__) || defined(__APPLE__)
#define __ALLBSD__
#endif

#if defined(__ALLBSD__) || defined(__linux__)

#ifdef stdin
#undef stdin
extern FILE *stdin;
#endif
#ifdef stdout
#undef stdout
extern FILE *stdout;
#endif
#ifdef stderr
#undef stderr
extern FILE *stderr;
#endif

#ifdef errno
#undef errno
extern int errno;
#endif

#ifdef isspace
#undef isspace
int isspace(int c);
#endif
#endif

#endif
