#if defined(__linux__)
#if defined(__powerpc__)

/*
 * Use Linux system call.
 */

#define SYS_exit   1
#define SYS_read   3
#define SYS_write  4
#define SYS_open   5
#define SYS_close  6
#define SYS_ioctl 54

	.section .text

	.globl	___exit
	.type	___exit, %function
___exit:
	li	%r0, SYS_exit
	b	_syscall

	.globl	__read
	.type	__read, %function
__read:
	li	%r0, SYS_read
	b	_syscall

	.globl	__write
	.type	__write, %function
__write:
	li	%r0, SYS_write
	b	_syscall

	.globl	__open
	.type	__open, %function
__open:
	li	%r0, SYS_open
	b	_syscall

	.globl	__close
	.type	__close, %function
__close:
	li	%r0, SYS_close
	b	_syscall

	.globl	__ioctl
	.type	__ioctl, %function
__ioctl:
	li	%r0, SYS_ioctl
	b	_syscall

_syscall:
	sc
	bc	4, 3, ret
err:	neg	%r3, %r3
ret:	blr
#endif
#endif
